Search results

ClipMode API in React Grid API component

Defines the cell content’s overflow mode. The available modes are

  • Clip - Truncates the cell content when it overflows its area.
  • Ellipsis - Displays ellipsis when the cell content overflows its area.
  • EllipsisWithTooltip - Displays ellipsis when the cell content overflows its area
  • also it will display tooltip while hover on ellipsis applied cell.
import { ColumnDirective, ColumnsDirective, GridComponent } from '@syncfusion/ej2-react-grids';
import * as React from 'react';
import { inventoryData } from './datasource';

export default class App extends React.Component<{}, {}>{
  public render() {
    return (
    <GridComponent dataSource={inventoryData}>
        <ColumnsDirective>
            <ColumnDirective field='Inventor' headerText='Name of the Inventor' clipMode='Clip' />
            <ColumnDirective field='NumberofPatentFamilies' headerText='Number of Patent Families' clipMode='Ellipsis' />
        </ColumnsDirective>
    </GridComponent> 
    ) } };

Search results

ClipMode API in Angular Grid API component

Defines the cell content’s overflow mode. The available modes are

  • Clip - Truncates the cell content when it overflows its area.
  • Ellipsis - Displays ellipsis when the cell content overflows its area.
  • EllipsisWithTooltip - Displays ellipsis when the cell content overflows its area
  • also it will display tooltip while hover on ellipsis applied cell.
<ejs-grid [dataSource]='data' [clipMode]="Ellipsis">
</ejs-grid>
import { Component, OnInit } from '@angular/core';
import { orderDetails } from './data';
import { GridComponent} from '@syncfusion/ej2-angular-grids';
@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
})
export class AppComponent implements OnInit{
    public data: Object[];
    public ngOnInit(): void {
        this.data = orderDetails;
    }
}

Search results

ClipMode API in Vue Grid API component

Defines the cell content’s overflow mode. The available modes are

  • Clip - Truncates the cell content when it overflows its area.
  • Ellipsis - Displays ellipsis when the cell content overflows its area.
  • EllipsisWithTooltip - Displays ellipsis when the cell content overflows its area
  • also it will display tooltip while hover on ellipsis applied cell.
<template>
  <ejs-grid :dataSource="data" clipMode="Clip"></ejs-grid>
</template>
<script>
import Vue from "vue";
import { GridPlugin } from "@syncfusion/ej2-vue-grids";
import { data } from "./datasource";
Vue.use(GridPlugin);
export default {
  data() {
    return {
      data: data
    };
  },
};
</script>